Range-v3 Range algorithms, views, and actions for the Standard Library |

Friends | Public Member Functions | List of all members
ranges::move_sentinel< S > Struct Template Reference
Iterator

## Friends
template<typename I >
auto | operator!= (move_iterator< I > const &i, move_sentinel const &s) -> bool
template<typename I >
auto | operator!= (move_sentinel const &s, move_iterator< I > const &i) -> bool
template<typename I >
auto | operator== (move_iterator< I > const &i, move_sentinel const &s) -> bool
template<typename I >
auto | operator== (move_sentinel const &s, move_iterator< I > const &i) -> bool

## Public Member Functions
S | base () const
template<typename OS >
constexpr | move_sentinel (move_sentinel< OS > const &that)
constexpr | move_sentinel (S s)
template<typename OS >
move_sentinel & | operator= (move_sentinel< OS > const &that)

## Member Function Documentation

## ◆ operator=()

template<typename S >
template<typename OS >

move_sentinel& ranges::move_sentinel< S >::operator= | ( | move_sentinel< OS > const & | that | ) |

Precondition
  requires `convertible_to<OS, S>`

## Constructor & Destructor Documentation

## ◆ move_sentinel()

template<typename S >
template<typename OS >

constexpr ranges::move_sentinel< S >::move_sentinel | ( | move_sentinel< OS > const & | that | ) |
| explicit constexpr

Precondition
  requires `convertible_to<OS, S>`